# External rendering scripts for Gitea

These scripts attempt to render several documents so viewing them in Gitea is actually informative. Most are a work in progress. As some files can take a very long time to render, caching is used by leaving the generated images in the Gitea custom assets directory (if present and writable). You'd probably want to clean that out now and then.

List of renderers:
- LibreOffice
- KiCad

TODO:
- 3D models (STL, STEP, etc)
- Gerber files

## Example

See the KiCad schematic renderer in action here:

https://git.rbts.co/kicad/StepperDriverModuleCarrier/src/branch/main/StepperDriverModuleCarrier.kicad_sch

## Prerequists

The KiCad renderers assume KiCad (9 or newer) is installed. They also need Inkscape (to properly fit the images). Libreoffice is required for the LO renderers.

The SVG Pan & Zoom library is loaded from a CDN.

`mktemp` is used to create a temporary directory.

## Installation & Configuration

1. Link the scripts in some place Gitea can execute them
2. Add the content of the `.ini` files to your `app.ini` file
3. Edit the new script path entries in `app.ini` to match your system
4. Copy / merge the contents of the `custom` dir with the custom dir in your Gitea root

## Repo and License

Feel free to copy and share this under the terms of the Apache 2.0 license.
Original author: Stefan Hamminga <stefan@rbts.co>
Original repo: https://git.rbts.co/rbts.co/gitea_external_renderers
